Subject: Re: mmotm 2010-03-23 - IPv6 warnings...

From: [email-masked]
Date: Thu, 25 Mar 2010 12:45:30 -0400

On Wed, 24 Mar 2010 18:42:26 EDT, Andrew Morton said:
> On Wed, 24 Mar 2010 21:36:41 -0400 [email-masked] wrote:
> 
> > On Tue, 23 Mar 2010 15:34:59 PDT, [email-masked] said:
> > > The mm-of-the-moment snapshot 2010-03-23-15-34 has been uploaded to
> > > 
> > >    http://userweb.kernel.org/~akpm/mmotm/
> > 
> > Seen in my dmesg.  It may be relevant that I'm at home, and my IPv6
> > prefix arrives via a PPP VPN connection. This happened about 20-25 seconds
> > after I launched pppd.
> 
> Yes, thanks, I get the same - it doesn't seem to break anything.  It
> also happens some time after boot has completed.

Just doing an 'ifup eth0' on a network with IPv6 on it is sufficient.

And it does break stuff:

% ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:24:E8:C6:AD:17  
          inet addr:128.173.14.107  Bcast:128.173.15.255  Mask:255.255.252.0
          inet6 addr: fe80::224:e8ff:fec6:ad17/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1

With 2.6.34-rc1-mmotm0309, I see:

% ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:24:E8:C6:AD:17  
          inet addr:128.173.14.107  Bcast:128.173.15.255  Mask:255.255.252.0
          inet6 addr: 2001:468:c80:2103:224:e8ff:fec6:ad17/64 Scope:Global
          inet6 addr: fe80::224:e8ff:fec6:ad17/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1

Something ate my IPv6 address.  We run a lot of IPv6 in production, so stuff
is acting wonky.